Public Attributes | List of all members
_ll_pwm_init_t Struct Reference
Peripheral Driver » LL Driver » PWM » Structures » PWM Exported init structures

LL PWM init Structure definition. More...

`#include <gr55xx_ll_pwm.h>`

Collaboration diagram for _ll_pwm_init_t:
[legend]

## Public Attributes
uint32_t | mode
| Specifies the PWM output mode. More...
uint32_t | align
| Specifies the PWM alignment pulses. More...
uint32_t | prescaler
| Specifies the prescaler value which will be used configure PWM output frequency. More...
uint32_t | bprescaler
| Specifies the required prescaler that the duty changes from 0% to 100% in breath mode. More...
uint32_t | hprescaler
| Specifies the required prescaler in breath hold state. More...
uint32_t | breathstop_lvl
| Specifies the IO level when breath stop. More...
ll_pwm_channel_init_t | channel_a
| Specifies the configuration of channelA. More...
ll_pwm_channel_init_t | channel_b
| Specifies the configuration of channelB. More...
ll_pwm_channel_init_t | channel_c
| Specifies the configuration of channelC. More...

## Detailed Description

LL PWM init Structure definition.

Definition at line 95 of file gr55xx_ll_pwm.h.

## Member Data Documentation

## ◆ align

uint32_t _ll_pwm_init_t::align

Specifies the PWM alignment pulses.

This parameter can be a value of PWM alignment pulses.

Definition at line 102 of file gr55xx_ll_pwm.h.

## ◆ bprescaler

uint32_t _ll_pwm_init_t::bprescaler

Specifies the required prescaler that the duty changes from 0% to 100% in breath mode.

This parameter must be a number ranges between Min_Data=0 and Max_Data=0xFFFFFFFF. This parameter is recommended to be larger than 128*prescaler to guarantee an ideal breath effect.

This feature can be modified afterwards using unitary function ll_pwm_set_breath_prescaler().

Definition at line 111 of file gr55xx_ll_pwm.h.

## ◆ breathstop_lvl

uint32_t _ll_pwm_init_t::breathstop_lvl

Specifies the IO level when breath stop.

This parameter can be a value of PWM stop io level.

Definition at line 122 of file gr55xx_ll_pwm.h.

## ◆ channel_a

ll_pwm_channel_init_t _ll_pwm_init_t::channel_a

Specifies the configuration of channelA.

This parameter can be a value of ll_pwm_channel_init_t.

Definition at line 125 of file gr55xx_ll_pwm.h.

## ◆ channel_b

ll_pwm_channel_init_t _ll_pwm_init_t::channel_b

Specifies the configuration of channelB.

This parameter can be a value of ll_pwm_channel_init_t.

Definition at line 128 of file gr55xx_ll_pwm.h.

## ◆ channel_c

ll_pwm_channel_init_t _ll_pwm_init_t::channel_c

Specifies the configuration of channelC.

This parameter can be a value of ll_pwm_channel_init_t.

Definition at line 131 of file gr55xx_ll_pwm.h.

## ◆ hprescaler

uint32_t _ll_pwm_init_t::hprescaler

Specifies the required prescaler in breath hold state.

This parameter must be a number ranges between Min_Data=0 and Max_Data=0xFFFFFF.

This feature can be modified afterwards using unitary function ll_pwm_set_hold_prescaler().

Definition at line 117 of file gr55xx_ll_pwm.h.

## ◆ mode

uint32_t _ll_pwm_init_t::mode

Specifies the PWM output mode.

This parameter can be a value of PWM mode.

This feature can be modified afterwards using unitary function ll_pwm_set_mode().

Definition at line 97 of file gr55xx_ll_pwm.h.

## ◆ prescaler

uint32_t _ll_pwm_init_t::prescaler

Specifies the prescaler value which will be used configure PWM output frequency.

This parameter must be a number ranges between Min_Data = 0 and Max_Data = 0xFFFFFFFF. This parameter should be larger than 128.

This feature can be modified afterwards using unitary function ll_pwm_set_prescaler().

Definition at line 105 of file gr55xx_ll_pwm.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_pwm.h